clear all
clc

homeDir = pwd;
ExeDir   = 'C:\Users\Joel\LY_Laptop\Learning_Opensees\SensitivityManual\2013-06-28_SensitivityCheck';
ExcutableTool = 'openSees_Yong.exe';
sourceFileDir = pwd;

exampleNameList = {
    'Example4_Frame3D.tcl'              
    'Example4_Frame3D_FFD.tcl'
};

for i = 1:length(exampleNameList)
    disp(['Yong: Now it is running example: ' exampleNameList{i}])
    sourceFileName = exampleNameList{i};
    % Call OpenSees to Run the job. 
    system([ExeDir filesep ExcutableTool ' ' sourceFileDir filesep sourceFileName]);
    disp(['Yong: Now it is finishing example: ' exampleNameList{i}])
end;

load node.out
load node1.out
load node2.out
load node3.out
load node4.out

a= load('ddmCore9epsco.out');
plot(a(3:end,1)-3,a(3:end,2))
hold on
plot(node(3:end,1)-3,(node1(3:end,2)-node(3:end,2))/(-0.01*0.005),'--r')
plot(node(3:end,1)-3,(node2(3:end,2)-node(3:end,2))/(-0.001*0.005),'g')
plot(node(3:end,1)-3,(node3(3:end,2)-node(3:end,2))/(-0.0001*0.005),'k')
plot(node(3:end,1)-3,(node4(3:end,2)-node(3:end,2))/(-0.00001*0.005),':')
legend('DDM','0.01','0.001','0.001','0.0001')

saveas(gcf,'Example4_CheckedByYong','fig')
